# $Revision: 1.113 $, $Date: 2010/08/06 17:58:39 $
Summary:	The GNU Transport Layer Security Library
Summary(pl.UTF-8):	Biblioteka GNU TLS (Transport Layer Security)
Name:		gnutls
Version:	2.10.1
Release:	1
License:	LGPL v2.1+ (libgnutls), GPL v3+ (extra libs and tools)
Group:		Libraries
Source0:	ftp://ftp.gnutls.org/pub/gnutls/%{name}-%{version}.tar.bz2
# Source0-md5:	b614448d7fb43ea0d4f727e6302bbf0f
Patch0:		%{name}-info.patch
Patch1:		%{name}-link.patch
URL:		http://www.gnu.org/software/gnutls/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10.2-2
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	gtk-doc >= 1.1
BuildRequires:	guile-devel >= 5:1.8
BuildRequires:	libcfg+-devel
BuildRequires:	libgcrypt-devel >= 1.2.4
BuildRequires:	libstdc++-devel
BuildRequires:	libtasn1-devel >= 2.6
BuildRequires:	libtool >= 2:1.5
BuildRequires:	lzo-devel
# miniopencdk is included in sources and currently maintained
# as part of gnutls, not external package
#BuildRequires:	opencdk-devel >= 0.6.6
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.383
BuildRequires:	texinfo >= 4.8
BuildRequires:	zlib-devel
Requires(post,postun):	/sbin/ldconfig
Requires:	libgcrypt >= 1.2.4
Requires:	libtasn1 >= 2.6
#Requires:	opencdk >= 0.6.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GnuTLS is a project that aims to develop a library which provides a
secure layer, over a reliable transport layer (ie. TCP/IP). Currently
the gnuTLS library implements the proposed standards by the IETF's TLS
working group.

%description -l pl.UTF-8
GnuTLS to projekt mający na celu stworzenie biblioteki udostępniającej
powłokę bezpieczeństwa ponad powłoką transportową (np. TCP/IP).
Aktualnie biblioteka gnuTLS implementuje standardy proponowane przez
grupę roboczą IETF TLS.

%package devel
Summary:	Header files etc to develop gnutls applications
Summary(pl.UTF-8):	Pliki nagłówkowe i inne do gnutls
License:	LGPL v2.1+ (libgnutls), GPL v3+ (extra libs)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgcrypt-devel >= 1.2.4
Requires:	libtasn1-devel >= 2.6
#Requires:	opencdk-devel >= 0.6.6
Requires:	zlib-devel
# libgnutls-extra R: lzo-devel

%description devel
Header files etc to develop gnutls applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne do gnutls.

%package static
Summary:	Static gnutls library
Summary(pl.UTF-8):	Biblioteka statyczna gnutls
License:	LGPL v2.1+ (libgnutls), GPL v3+ (extra libs)
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gnutls library.

%description static -l pl.UTF-8
Biblioteka statyczna gnutls.

%package c++
Summary:	libgnutlsxx - C++ interface to gnutls library
Summary(pl.UTF-8):	libgnutlsxx - interfejs C++ do biblioteki gnutls
License:	LGPL v2.1+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description c++
libgnutlsxx - C++ interface to gnutls library.

%description c++ -l pl.UTF-8
libgnutlsxx - interfejs C++ do biblioteki gnutls.

%package c++-devel
Summary:	Header files for libgnutlsxx, a C++ interface to gnutls library
Summary(pl.UTF-8):	Pliki nagłówkowe libgnutlsxx - interfejsu C++ do biblioteki gnutls
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description c++-devel
Header files for libgnutlsxx, a C++ interface to gnutls library.

%description c++-devel -l pl.UTF-8
Pliki nagłówkowe libgnutlsxx - interfejsu C++ do biblioteki gnutls.

%package c++-static
Summary:	Static version of libgnutlsxx, a C++ interface to gnutls library
Summary(pl.UTF-8):	Statyczna wersja libgnutlsxx - interfejsu C++ do biblioteki gnutls
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
Static version of libgnutlsxx, a C++ interface to gnutls library.

%description c++-static -l pl.UTF-8
Statyczna wersja libgnutlsxx - interfejsu C++ do biblioteki gnutls.

%package -n guile-gnutls
Summary:	Guile bindings for GnuTLS
Summary(pl.UTF-8):	Wiązania Guile do GnuTLS
License:	LGPL v2.1+ (gnutls binding), GPL v3+ (gnutls-extra binding)
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}
Requires:	guile >= 5:1.8

%description -n guile-gnutls
Guile bindings for GnuTLS.

%description -n guile-gnutls -l pl.UTF-8
Wiązania Guile do GnuTLS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4 -I gl/m4 -I lib/gl/m4 -I libextra/gl/m4 -I lib/m4 -I libextra/m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd lib
%{__aclocal} -I m4 -I gl/m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ..
%configure \
	--with-lzo

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libguile-gnutls-*.{la,a}
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang libgnutls

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%post	c++ -p /sbin/ldconfig
%postun	c++ -p /sbin/ldconfig

%post	-n guile-gnutls -p /sbin/ldconfig
%postun	-n guile-gnutls -p /sbin/ldconfig

%files -f libgnutls.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/certtool
%attr(755,root,root) %{_bindir}/gnutls-*
%attr(755,root,root) %{_bindir}/psktool
%attr(755,root,root) %{_bindir}/srptool
%attr(755,root,root) %{_libdir}/libgnutls.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnutls.so.26
%attr(755,root,root) %{_libdir}/libgnutls-extra.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnutls-extra.so.26
%attr(755,root,root) %{_libdir}/libgnutls-openssl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnutls-openssl.so.26
%{_mandir}/man1/certtool.1*
%{_mandir}/man1/gnutls-*.1*
%{_mandir}/man1/psktool.1*
%{_mandir}/man1/srptool.1*
%{_infodir}/gnutls.info*
%{_infodir}/gnutls-*.png

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnutls.so
%attr(755,root,root) %{_libdir}/libgnutls-extra.so
%attr(755,root,root) %{_libdir}/libgnutls-openssl.so
%{_libdir}/libgnutls.la
%{_libdir}/libgnutls-extra.la
%{_libdir}/libgnutls-openssl.la
%{_includedir}/gnutls
%exclude %{_includedir}/gnutls/gnutlsxx.h
%{_pkgconfigdir}/gnutls.pc
%{_pkgconfigdir}/gnutls-extra.pc
%{_mandir}/man3/*gnutls*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnutls.a
%{_libdir}/libgnutls-extra.a
%{_libdir}/libgnutls-openssl.a

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnutlsxx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnutlsxx.so.26

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnutlsxx.so
%{_libdir}/libgnutlsxx.la
%{_includedir}/gnutls/gnutlsxx.h

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libgnutlsxx.a

%files -n guile-gnutls
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libguile-gnutls-v-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libguile-gnutls-v-1.so.0
%attr(755,root,root) %{_libdir}/libguile-gnutls-v-1.so
%attr(755,root,root) %{_libdir}/libguile-gnutls-extra-v-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libguile-gnutls-extra-v-1.so.0
%attr(755,root,root) %{_libdir}/libguile-gnutls-extra-v-1.so
%{_datadir}/guile/site/gnutls.scm
%dir %{_datadir}/guile/site/gnutls
%{_datadir}/guile/site/gnutls/extra.scm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnutls.spec,v $
Revision 1.113  2010/08/06 17:58:39  qboosh
- updated to 2.10.1

Revision 1.112  2010/07/01 07:24:57  qboosh
- updated to 2.10.0
- updated info patch
- libtasn1 deps bumped to 2.6 (this is the version of included minitasn1)

Revision 1.111  2010/03/25 18:52:09  qboosh
- updated to 2.8.6

Revision 1.110  2010/02/01 22:38:57  sparky
- BR: pkgconfig

Revision 1.109  2010/02/01 16:33:08  qboosh
- added link patch to avoid forcing -L%{_libdir}; dumb BC dropped now
- release 2

Revision 1.108  2009/11/02 16:26:34  adamg
- updated to 2.8.5

Revision 1.107  2009/10/25 21:38:39  sls
- BuildConflicts: gnutls-devel

Revision 1.106  2009/10/03 19:52:58  qboosh
- updated info patch
- release 2

Revision 1.105  2009/10/03 19:08:17  qboosh
- translations are back (who was blind?)
- spec cleanup

Revision 1.104  2009/09/21 06:25:42  amateja
- updated to 2.8.4

Revision 1.103  2009/08/14 14:13:37  adamg
- updated to 2.8.3 (fixes CVE-2009-2730)

Revision 1.102  2009/08/11 13:55:17  adamg
- updated to 2.8.2

Revision 1.101  2009/06/14 09:24:47  adamg
- updated to 2.8.1

Revision 1.100  2009/05/31 12:05:56  witekfl
- up to 2.8.0
- gettext is not used (build with gettextize failed)
- there is no gnutls-config

Revision 1.99  2009/05/15 08:04:43  adamg
- cleanups

Revision 1.98  2009/05/15 08:02:16  adamg
- updated to 2.6.6 (solves CVE-2009-1415, CVE-2009-1416, CVE-2009-1417)

Revision 1.97  2009/05/13 14:53:38  blues
- 3 security blockers

Revision 1.96  2009/04/12 06:26:32  arekm
- up to 2.6.5

Revision 1.95  2009/02/23 22:05:38  arekm
- release 2

Revision 1.94  2009/02/07 17:04:57  adamg
- updated to 2.6.4

Revision 1.93  2008/12/27 11:19:49  qboosh
- updated to 2.6.3

Revision 1.92  2008/12/26 02:22:19  adamg
- previous commit reverted (mistake)

Revision 1.91  2008/12/26 01:52:47  adamg
- updated to 1.3.2

Revision 1.90  2008/11/14 19:34:36  qboosh
- CVE reference

Revision 1.89  2008/11/14 10:22:32  arekm
- up to 2.6.2 [fixes GNUTLS-SA-2008-3 aka CVE-2008-4989]

Revision 1.88  2008/10/07 17:11:55  qboosh
- updated to 2.6.0

Revision 1.87  2008/09/16 23:11:27  qboosh
- updated to 2.4.2

Revision 1.86  2008/07/10 19:44:26  qboosh
- updated to 2.4.1 (includes security fix, GNUTLS-SA-2008-2)
[CVE-2008-2377]

Revision 1.85  2008/06/19 19:17:57  qboosh
- updated to 2.4.0
- updated info patch, removed obsolete link patch

Revision 1.84  2008/05/21 10:02:51  arekm
- up to 2.2.5 (CVE-2008-1948, CVE-2008-1949, CVE-2008-1950); by Paweł Kwiatkowski.

Revision 1.83  2008-05-12 20:12:46  qboosh
- updated to 2.2.3

Revision 1.82  2008-03-09 01:38:24  qboosh
- updated to 2.2.2

Revision 1.81  2008-01-21 20:34:37  qboosh
- updated to 2.2.1
- added link patch

Revision 1.80  2008-01-05 02:55:42  qboosh
- updated to 2.2.0 (NOTE: new sonames)

Revision 1.79  2007-11-26 19:35:26  qboosh
- updated to 2.0.4 (adds some bugfixes and bug-compatibility; removes TLS authorization)
- package guile bindings

Revision 1.78  2007-11-01 00:20:25  qboosh
- updated to 2.0.1

Revision 1.77  2007/09/18 10:44:28  baggins
- rel 2

Revision 1.76  2007/09/10 17:19:41  qboosh
- updated to 2.0.0
- clarified License

Revision 1.75  2007/06/01 17:22:01  qboosh
- updated to 1.6.3

Revision 1.74  2007/04/25 07:55:19  qboosh
- updated to 1.6.2

Revision 1.73  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.72  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.71  2007/01/08 20:20:03  qboosh
- updated to 1.6.1

Revision 1.70  2006/11/20 18:35:47  qboosh
- updated to 1.6.0, package C++ interface library

Revision 1.69  2006/11/13 18:30:38  qboosh
- updated to 1.4.5

Revision 1.68  2006/09/25 19:08:32  qboosh
- updated to 1.4.4 (fixes CVE-2006-4790)

Revision 1.67  2006/07/21 05:35:27  qboosh
- BR: autoconf 2.60 (AC_CHECK_*_ONCE)

Revision 1.66  2006/07/17 09:39:16  qboosh
- updated to 1.4.1

Revision 1.65  2006/05/16 09:24:57  qboosh
- updated to 1.4.0 (note: 0.8.x compat functions have been dropped)

Revision 1.64  2006/03/09 20:49:42  qboosh
- removed outdated todo

Revision 1.63  2006/03/09 10:12:25  qboosh
- updated to 1.3.5, back to system libtasn1

Revision 1.62  2006/03/04 23:33:07  qboosh
- use included minitasn1 for now (even CVS is not ready for system libtasn1 0.3.0)

Revision 1.61  2006/02/10 10:07:56  qboosh
- updated to 1.3.4 (security fixes for experimental version)

Revision 1.60  2005/12/10 22:10:15  qrczak
- BuildRequires: texinfo >= 4.8

Revision 1.59  2005/12/01 09:51:26  qboosh
- updated to 1.3.0 (adds TLS-PSK support)

Revision 1.58  2005/11/08 10:25:16  qboosh
- updated to 1.2.9
- require libgcrypt >= 1.2.2 to avoid bugs in earlier versions

Revision 1.57  2005/10/30 23:18:16  glen
- R opencdk-devel to -devel as libgnutls-extra-config --libs has -lopencdk; rel 2

Revision 1.56  2005/10/08 15:42:24  areq
- 1.2.8

Revision 1.55  2005/09/23 14:00:34  qboosh
- updated to 1.2.7

Revision 1.54  2005/07/17 22:26:03  qboosh
- updated to 1.2.6 (ready for lzo 2.01)

Revision 1.53  2005/07/05 19:41:54  qboosh
- updated to 1.2.5

Revision 1.52  2005/05/28 11:55:14  areq
- 1.2.4

Revision 1.51  2005/04/29 18:15:31  qboosh
- updated to 1.2.3 (important bugfixes)

Revision 1.50  2005/04/26 17:42:49  qboosh
- updated to 1.2.2, removed obsolete fix patch

Revision 1.49  2005/04/05 18:21:38  qboosh
- updated to 1.2.1, updated fix patch

Revision 1.48  2005/02/28 22:18:47  qboosh
- updated to 1.2.0 (new feature release; note: new sonames)
- updated fix patch, added info patch

Revision 1.47  2005/01/20 20:25:29  qboosh
- updated to 1.0.24 (bugfixes)

Revision 1.46  2004/12/11 12:43:48  qboosh
- updated to 1.0.23 (note: same soname, but symbol versioning changed)

Revision 1.45  2004/10/30 18:29:45  qboosh
- updated to 1.0.22 (bugfixes, pkgconfig metafiles)

Revision 1.44  2004/10/17 20:30:17  qboosh
- updated to 1.0.21 (bugfixes)

Revision 1.43  2004/08/26 20:10:30  qboosh
- updated to 1.0.20 (.tar.gz again), updated deps

Revision 1.42  2004/08/02 16:34:54  pluto
- updated to 1.0.17 ( http://www.hornik.sk/SA/SA-20040802.txt ).

Revision 1.41  2004/07/23 23:25:32  qboosh
- updated to 1.0.16

Revision 1.40  2004/07/03 21:58:40  qboosh
- updated to 1.0.15

Revision 1.39  2004/06/27 15:14:08  qboosh
- automake epoch

Revision 1.38  2004/06/21 20:06:11  qboosh
- fix patch is back (updated)
- BR: opencdk 0.5.5 (internal copy is used otherwise)
- BR: am 1.8.3 (as workaround from am18 patch has been removed)

Revision 1.37  2004/06/20 22:07:50  arekm
- updated to 1.0.14; patches obsolete

Revision 1.36  2004/05/07 12:34:20  qboosh
- updated to 1.0.13, updated fix patch

Revision 1.35  2004/04/29 00:20:40  qboosh
- updated to 1.0.12, added fix patch (some changes missing on merge)

Revision 1.34  2004/04/17 21:49:39  qboosh
- updated to 1.0.11

Revision 1.33  2004/04/01 07:34:08  grzegol
- updated to 1.0.9
- warning, soname has changed!

Revision 1.32  2004/02/28 14:15:24  qboosh
- updated to 1.0.8

Revision 1.31  2004/02/26 21:25:43  qboosh
- updated to 1.0.7

Revision 1.30  2004/02/22 14:44:09  grzegol
- rel. 2 to rebuild with libgcrypt-1.1.92

Revision 1.29  2004/02/12 22:28:50  qboosh
- updated to 1.0.6

Revision 1.28  2004/02/11 15:33:55  grzegol
- updated to 1.0.5

Revision 1.27  2004/01/05 20:59:02  grzegol
- updated to 1.0.4

Revision 1.26  2003/12/22 20:12:44  qboosh
- updated to 1.0.3

Revision 1.25  2003/12/18 21:44:48  qboosh
- updated to 1.0.2
- added am18 patch (*.m4 quotation fixes and build fix needed for am 1.8)

Revision 1.24  2003/12/11 20:10:38  qboosh
- updated to 1.0.1

Revision 1.23  2003/12/04 19:37:04  qboosh
- updated to 1.0.0

Revision 1.22  2003/12/01 17:34:51  pius
- updated to 0.9.99

Revision 1.21  2003/11/17 17:49:57  qboosh
- updated to 0.9.98

Revision 1.20  2003/11/12 15:25:57  wrobell
- ver. 0.9.97

Revision 1.19  2003/11/10 14:56:35  wrobell
- merged from DEVEL

Revision 1.18.2.5  2003/11/10 14:49:04  qboosh
- updated to 0.9.96

Revision 1.18.2.4  2003/11/02 23:04:12  qboosh
- oops, ac version in BR is back

Revision 1.18.2.3  2003/11/02 22:44:58  qboosh
- updated to 0.9.95 - builds OK with recent opencdk 0.5.2
- updated files, rebuild lt/ac/am (relink issue)

Revision 1.18.2.2  2003/10/28 10:52:50  qboosh
- versions updated (yes, it wants unreleased opencdk)

Revision 1.18.2.1  2003/10/28 10:48:28  wiget
- 0.9.93

Revision 1.18  2003/10/27 06:57:56  qboosh
- updated to 0.8.12, removed opencdk patch (now really obsolete)

Revision 1.17  2003/10/08 11:39:02  qboosh
- up to 0.8.11, updated opencdk patch, added acfix patch

Revision 1.16  2003/08/10 08:38:34  gotar
- upgraded to 0.8.10

Revision 1.15  2003/08/03 19:12:10  qboosh
- patched for opencdk 0.5.1, release 3

Revision 1.14  2003/08/03 10:20:16  qboosh
- added libgcrypt patch with API update (for 1.1.42)
- added devel deps
- release 2

Revision 1.13  2003/07/15 12:12:19  wiget
- updated to 0.8.9

Revision 1.12  2003/06/10 12:23:14  wiget
- updated to 0.8.8

Revision 1.11  2003/05/26 16:25:04  malekith
- massive attack: adding Source-md5

Revision 1.10  2003/05/25 05:48:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/05/15 23:07:56  qboosh
- updated to 0.8.7
- BR: lzo-devel

Revision 1.8  2003/01/27 22:46:05  filon
- updated to 0.8.1
- updated requires
- regenerate ac/am/lt stuff

Revision 1.7  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.6  2002/10/09 08:25:20  misiek
- updated to 0.5.8

Revision 1.5  2002/04/25 16:28:05  arturs
fixed a small typo

Revision 1.4  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/03 08:54:23  qboosh
- pl summary, cosmetics

Revision 1.1  2001/12/01 13:12:29  misiek
- initial pld release
